/***********************************************************************/
/*                                                                     */
/*                            Pio (Fortran)                            */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Francois Clement <Francois.Clement@inria.fr>                       */
/*  Pierre Weis <Pierre.Weis@inria.fr>                                 */
/*  Hend Ben Ameur <hbenameur@yahoo.ca>                                */
/*                                                                     */
/***********************************************************************/

/* $Id: pio_user_error_codes.h,v 1.3 2014/05/22 10:16:02 fclement Exp $ */

/*
 * Pio Fortran user application error codes (in the range 128-159).
 */

#ifndef _PIO_USER_ERROR_CODES_H_
#define _PIO_USER_ERROR_CODES_H_

#define PIO_USER_OPEN_FAILURE_ERROR 128
#define PIO_USER_UNBOUND_COMMUNICATION_ERROR 129
#define PIO_USER_UNBOUND_SERVICE_COMMUNICATION_ERROR 130
#define PIO_USER_UNBOUND_TASK_ERROR 131
#define PIO_USER_WRONG_COMMUNICATION_ERROR 132
#define PIO_USER_WRONG_NUMBER_OF_VALUES_ERROR 133
#define PIO_USER_NOT_INITIALIZED_ERROR 134
#define PIO_USER_TASK_COMPUTATION_ERROR 135
#define PIO_USER_WRONG_LENGTH_ERROR 136
#define PIO_USER_TOO_LARGE_LENGTH_ERROR 137
#define PIO_USER_TOO_SMALL_LENGTH_ERROR 138

#endif
